Subject: Re: bug#11356: automake 1.12 and (C) 2011

From: Stefano Lattarini <[email-masked]>
Date: Sat, 28 Apr 2012 00:51:11 +0200

On 04/28/2012 12:36 AM, Jack Kelly wrote:
> On Fri, Apr 27, 2012 at 10:05 PM, Eric Blake <[email-masked]> wrote:
>> On 04/27/2012 03:18 AM, Stefano Lattarini wrote:
>>> On 04/27/2012 05:30 AM, Peter Johansson wrote:
>>> +++ b/aclocal.in
>>> @@ -840,9 +840,8 @@ $output";
>>>    # name in the header.
>>>    $output = "# generated automatically by aclocal $VERSION -*- Autoconf -*-
>>>
>>> -# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
>>> -# 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software Foundation,
>>> -# Inc.
>>> +# Copyright (C) 1996-2012 Free Software Foundation, Inc.
>>
>> This makes sense,
> 
> This took me by surprise, because it wasn't the case previously. It is
> now acceptable usage according to GNU standards, see
> http://savannah.gnu.org/forum/forum.php?forum_id=6576 and
> http://www.gnu.org/prep/maintain/html_node/Copyright-Notices.html
> 
> """"
> You can use a range (‘2008-2010’) instead of listing individual years
> (‘2008, 2009, 2010’) if and only if: 1) every year in the range,
> inclusive, really is a “copyrightable” year that would be listed
> individually; and 2) you make an explicit statement in a ‘README’ file
> about this usage.
> """
> 
> I suggest you update README to follow the guidelines.
>
Good catch, I wasn't aware of such a requirement.

> The guidelines
> don't say what exactly should be in the notice, but I presume it's a
> statement to the effect that 1) above holds.
> 
I think I'll steal the wording from coreutils' README:

  For any copyright year range specified as YYYY-ZZZZ in this package
  note that the range specifies every single year in that closed interval.

Patch coming up tomorrow (unless someone beats me ;-)

Regards,
  Stefano